Summary:	Eterm Enlightened Terminal Emulator for X Window
Name:		Eterm
Version:	0.9.2
Release:	3mdk
License:	GPL
Group:		Terminals

Source0:	Eterm-%{version}.tar.bz2
Source1:	Eterm_menu
Source2:	Eterm-48.png
Source3:	Eterm-32.png
Source4:	Eterm-16.png
Source5:	Eterm-bg.tar.bz2
Patch1:		Eterm-0.9.1-themefix.patch
Patch2:		Eterm-0.9.2-muttandirc-themes.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://eterm.sourceforge.net/
Requires:	imlib >= 1.8 libimlib2_1-loaders libast1 >= 0.5
BuildRequires:	XFree86-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	imlib2-devel
BuildRequires:	libast-devel >= 0.5
BuildRequires:	libpcre-devel

%description
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

BlackBox, 4DWM, CDE, KDE, GNOME, fvwm, and even twm, although it is designed
to work and integrate best with Enlightenment.



%package devel
Requires:	%{name} = %{version}-%{release}
Summary:	Devel files for Eterm
Group:		Development/Other

%description devel
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, including AfterStep,
BlackBox, 4DWM, CDE, KDE, GNOME, fvwm, and even twm, although it is designed
to work and integrate best with Enlightenment.

This package provides the necessary development libraries and include files
to allow you to develop programs using Wine environment.



%prep
%setup -q -a5
%patch1 -p1 
%patch2 -p1


%build
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%configure --with-backspace=bs --with-delete=execute \
  --enable-trans --enable-multi-charset --enable-escreen
%make


%install
rm -fr %buildroot
%makeinstall

# Install menu
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_menudir}/Eterm

mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
cp %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/Eterm.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/Eterm.png
cp %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/Eterm.png


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}=%{version}

%post
%{update_menus}
update-alternatives --install /usr/X11R6/bin/xvt xvt /usr/bin/Eterm 15
/sbin/ldconfig

if [ -d %_datadir/terminfo -a ! -f %_datadir/terminfo/E/Eterm ]; then
    tic -o %_datadir/terminfo %_datadir/doc/%{name}-%{version}/%{name}.ti || :
fi


%post devel -p /sbin/ldconfig

%postun
%{clean_menus}	
[ "$1" = "0" ]&& update-alternatives --remove xvt /usr/bin/Eterm
/sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files
%defattr(-, root, root,0755)
%doc ChangeLog README ReleaseNotes doc/Eterm.tcap doc/Eterm.ti doc/Eterm_reference.html bg/README.backgrounds
%_menudir/*
%_bindir/*
%_libdir/*.so
%dir %_datadir/Eterm
%config(noreplace) %_datadir/Eterm/themes/*
%_datadir/Eterm/pix/*
%_mandir/man1/Eterm.1.bz2
%_liconsdir/Eterm.png
%_iconsdir/Eterm.png
%_miconsdir/Eterm.png

%files devel
%defattr(-,root,root,-)
%_libdir/*.a
%_libdir/*.la


%changelog
* Sun Apr 20 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-3mdk
- BuildRequires

* Mon Jan 27 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.9.2-2mdk
- Requires: libast1 >= 0.5

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2
- rediff P2
- fix typeo in mutt theme
- build with Escreen support

* Wed Aug 28 2002 Ben Reser <ben@reser.org> 0.9.1-6mdk
- Remove menu entries for missing backgrounds and regenerate the patches

* Mon Aug 26 2002 David BAUDENS <baudens@mandrakesoft.com> 0.9.1-5mdk
- Remove Eterm-bg because there is no copyright note for theses images

* Sat Aug 24 2002 Ben Reser <ben@reser.org> 0.9.1-4mdk
- I knew I should have waited to put this out... 
- Fix colors in the mutt theme so they match mutt's color
  names. 
- Turn off scrollbar in mutt theme.
- While I'm at it modify all the themes to default to
  xterm
- Make /usr/share/Eterm/themes/* %%config(noreplace)

* Sat Aug 24 2002 Ben Reser <ben@reser.org> 0.9.1-3mdk
- Add --enable-multi-charset, makes Eterm like multi-byte wide fonts.
- Put the background images back in.
- Fix the menus so they point only to backgrounds that are included.
- Add some missing documentation files
- Ported and added the mutt and irc themes from Eterm 0.8.10

* Fri Aug 23 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.9.1-2mdk
- BuildRequires: libast-devel, freetype-devel, imlib2-devel (not
  imlib-devel) (re: ben@reser.org)
- Requires: libimlib2_1-loaders (re: ben@reser.org)
- put icons back
- use --with-delete=execute, --with-backspace=bs, and --enable-trans
  in configure
- better cleanup
- put libEterm.la into -devel
- fix update alternatives so they actually point to Eterm
- add termcap and terminfo files to package
- have %%post create the terminfo file on the system


* Mon Aug 19 2002 David BAUDENS <baudens@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Wed Feb  6 2002 Stefan van der Eijk <stefan@eijk.nu> 0.8.10-20mdk
- BuildRequires

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.10-19mdk
- remvove RPM_SOURCE_DIR usage
- xpm -> png icons

* Wed Dec 19 2001 Yves Duret <yduret@mandrakesoft.com> 0.8.10-18mdk
- rebuild against libpng3 !! (dadou too lazy to do it).
- corrected version number to 0.8.10 instead of O.8.10 (yeah capital o)

* Mon Sep 17 2001 Christian Belisle <cbelisle@mandrakesoft.com> O.8.10-17mdk
- Fixed menu entry

* Mon Jul 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> O.8.10-16mdk
- BuildRequires: s/utempter-devel/libutempter0-devel
- s/Copyright/License

* Tue Mar 27 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> O.8.10-15mdk
- various dedadoufication (aka spec cleaning) :
- get rid of stupid tar
- simplify scripts
- use right macros
- %%install doesn't need to clean
- ...

* Thu Feb  8 2001 Warly <warly@mandrakesoft.com> O.8.10-14mdk
- add alternatives on xvt

* Sat Jan 27 2001 Vincent Danen <vdanen@mandrakesoft.com> O.8.10-13mdk
- Rebuild to fix problems with loading (Eterm kept crashing)

* Mon Nov 13 2000 David BAUDENS <baudens@mandrakesoft.com> O.8.10-12mdk
- Build with glibc-2.2 & gcc-2.96

* Fri Sep 25 2000 David BAUDENS <baudens@mandrakesoft.com> O.8.10-11mdk
- Fix keyboard section for Mutt theme (thanks to Ben Reser)

* Fri Sep 01 2000 David BAUDENS <baudens@mandrakesoft.com> O.8.10-10mdk
- Fix delete key problem (thanks to Anton Graham)
- Make RPMLint happy

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> O.8.10-9mdk
- automatically added BuildRequires

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.8.10-8mdk
- run update-menu in post and postun sections
- fix version 
- SMP build/check

* Wed Mar 29 2000 David BAUDENS <baudens@mandrakesoft.com> 0.16-7mdk
- Menu support
- Disable visual bell
- Fix a typo in Summary

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10-6mdk
- Enable Mandrake Theme

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 0.10-5mdk
- Use new Group
- Use %%{_tmppath} for BuildRoot
- Update Description

* Mon Jan 03 2000 David BAUDENS <baudens@mandrakesoft.com>
- Fix name

* Sun Dec 26 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix bg

* Sat Dec 25 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add utemper patch from Tim POWERS <tim@redhat.com>

* Tue Nov 25 1999 - David BAUDENS <baudens@mandrakesoft.com> 
- 0.8.10 
- Make relocatable
- Clean up spec file
  
* Wed Dec 30 1998 mej <mej@mw.3com.com> 
- Added spec file.  Created by techn0ir <technoir@themes.org> 
- Modified spec file for Mandrake <johnb@mandrakesoft.com> 
